Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

sync to latest x11

  • Loading branch information...
commit b65ae3ee8004edb491d5b80b4578cefcfad56e6b 1 parent 5598b30
@nightmorph authored
View
4 media-libs/mesa/Manifest
@@ -1,3 +1,3 @@
AUX eselect-mesa.conf.7.12 1670 RMD160 4714db2bb66a2fff04d33c05e8051f0c63892371 SHA1 d101931591ec5aefbf3d2ec48f1331709686a4f4 SHA256 3b760d19524870b067b3717f403c748a705fc71cdf5373a049d857ca1b3139fb
-EBUILD mesa-9999.ebuild 10357 RMD160 1e5ea0e9d5207b889efda2f03a7cd8c0f125d4cf SHA1 be5b82e675d9147a90c8db9b77fbfaa88c65ba93 SHA256 592de0cc4691e02f1917a82fba2624dbadcb942badc2f2e09e946ba9884f6534
-MISC metadata.xml 1386 RMD160 9e49a30ee10fab13e5bf1f1923d0a82226f747b5 SHA1 9ff3dc467a828827d0cf839e25ab820bdedc95e3 SHA256 897c76a90cf21398b2e2c9c4696eb2eb3d25b9401c0cd6b94961127c7a6890c3
+EBUILD mesa-9999.ebuild 10278 RMD160 ac5ff23c7dac79764f5367d2d18ca2d7b16a191f SHA1 d8b7763c6bf85b6b5cbcb25089a9d29e272d22ce SHA256 6a2755d73a1d52e2fc0ada8b1a01506eb0c2b7bd381271f31accb9b2f478aa83
+MISC metadata.xml 1390 RMD160 bdbb90b74c10cfdf41752c14d2e95fd3480599f8 SHA1 603a30cfea4dadb9a29d5503c88a96d880e5111b SHA256 4d31889c5a5cb750e54d05ccaf6bd44de2f4c82be1addfc3e0010b468988bb80
View
24 media-libs/mesa/mesa-9999.ebuild
@@ -54,7 +54,7 @@ REQUIRED_USE="
d3d? ( gallium )
g3dvl? ( gallium )
llvm? ( gallium )
- openvg? ( gallium )
+ openvg? ( egl gallium )
egl? ( shared-glapi )
gallium? (
video_cards_r300? ( x86? ( llvm ) amd64? ( llvm ) )
@@ -63,13 +63,15 @@ REQUIRED_USE="
g3dvl? ( || ( vdpau xvmc ) )
vdpau? ( g3dvl )
xvmc? ( g3dvl )
- video_cards_i915? ( classic )
+ video_cards_i965? ( classic )
video_cards_r100? ( classic )
video_cards_r200? ( classic )
+ video_cards_r300? ( gallium )
+ video_cards_r600? ( gallium )
video_cards_vmware? ( gallium )
"
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.24"
+LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.27"
# not a runtime dependency of this package, but dependency of packages which
# depend on this package, bug #342393
EXTERNAL_DEPEND="
@@ -138,6 +140,8 @@ pkg_setup() {
# recommended by upstream
append-flags -ffast-math
+ # workaround toc-issue wrt #386545
+ use ppc64 && append-flags -mminimal-toc
}
src_unpack() {
@@ -188,13 +192,9 @@ src_configure() {
# ATI code
driver_enable video_cards_r100 radeon
driver_enable video_cards_r200 r200
- driver_enable video_cards_r300 r300
- driver_enable video_cards_r600 r600
if ! use video_cards_r100 && \
- ! use video_cards_r200 && \
- ! use video_cards_r300 && \
- ! use video_cards_r600; then
- driver_enable video_cards_radeon radeon r200 r300 r600
+ ! use video_cards_r200; then
+ driver_enable video_cards_radeon radeon r200
fi
fi
@@ -222,10 +222,8 @@ src_configure() {
gallium_enable video_cards_vmware svga
gallium_enable video_cards_nouveau nouveau
gallium_enable video_cards_i915 i915
- gallium_enable video_cards_i965 i965
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- gallium_enable video_cards_intel i915 i965
+ if ! use video_cards_i915; then
+ gallium_enable video_cards_intel i915
fi
gallium_enable video_cards_r300 r300
View
2  media-libs/mesa/metadata.xml
@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<herd>x11</herd>
+<herd>no-herd</herd>
<use>
<flag name='classic'>Build drivers based on the classic architecture.</flag>
<flag name='d3d'>Enable DirectX 10/10.1/11 backend for Gallium3D.</flag>
Please sign in to comment.
Something went wrong with that request. Please try again.